# ModularEmitter File Reference

`#include <osgParticle/Export>`
`#include <osgParticle/Emitter>`
`#include <osgParticle/Particle>`
`#include <osgParticle/RandomRateCounter>`
`#include <osgParticle/Placer>`
`#include <osgParticle/PointPlacer>`
`#include <osgParticle/Shooter>`
`#include <osgParticle/RadialShooter>`
`#include <osgParticle/ParticleSystem>`
`#include <osg/ref_ptr>`
`#include <osg/CopyOp>`
`#include <osg/Object>`
`#include <osg/Node>`
`#include <osg/NodeVisitor>`

Include dependency graph for ModularEmitter:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osgParticle

## Defines

#define | OSGPARTICLE_MODULAREMITTER_ 1

## Define Documentation

#define OSGPARTICLE_MODULAREMITTER_ 1